Page MenuHomePhabricator

Request to change autoconfirmed settings, allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wiktionary
Closed, ResolvedPublic

Description

Per local consensus, similar to T185182, it is requested to:

  • change the threshold of auto-confirmation from 4 days to 7 days and 10 edits;
  • add "⧼suppressredirect⧽" to the auto-confirmed user group;
  • enable "flood flag"; and
  • allow sysop to grant and remove "flood flag" from users.

Moreover, just like what has been done for zh.wikipedia, please allow the user with flood flag to remove the flood flag by themselves. Thank you.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd suppressredirect to autoconfirmed at zhwikt
operations/mediawiki-config : masterIn groupoverrides, a => true is needed
operations/mediawiki-config : masterAdd suppressredirect to autoconfirmed at zhwikt
operations/mediawiki-config : masterEnable flood flag at zhwikt
operations/mediawiki-config : masterRequire 7 days & 10 edits for autoconfirmed at zhwiktionary

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 7:10 AM
Wong128hk updated the task description. (Show Details)Feb 12 2018, 7:16 AM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptFeb 12 2018, 7:16 AM
Urbanecm claimed this task.Feb 12 2018, 7:37 AM
Urbanecm triaged this task as Medium priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 12 2018, 7:37 AM

Change 409743 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Require 7 days & 10 edits for autoconfirmed at zhwiktionary

https://gerrit.wikimedia.org/r/409743

Change 409752 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable flood flag at zhwikt

https://gerrit.wikimedia.org/r/409752

Change 409745 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add suppressredirect to autoconfirmed at zhwikt

https://gerrit.wikimedia.org/r/409745

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Feb 12 2018, 7:51 AM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Will be deployed at Wednesday, February 14 14:00–15:00 UTC.

Change 409743 merged by jenkins-bot:
[operations/mediawiki-config@master] Require 7 days & 10 edits for autoconfirmed at zhwiktionary

https://gerrit.wikimedia.org/r/409743

Mentioned in SAL (#wikimedia-operations) [2018-02-14T14:37:07Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:409743|Require 7 days & 10 edits for autoconfirmed at zhwiktionary (T187018)]] (duration: 01m 13s)

Change 409752 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable flood flag at zhwikt

https://gerrit.wikimedia.org/r/409752

Mentioned in SAL (#wikimedia-operations) [2018-02-14T14:44:05Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:409752|Enable flood flag at zhwikt (T187018)]] (duration: 01m 12s)

Change 409745 merged by jenkins-bot:
[operations/mediawiki-config@master] Add suppressredirect to autoconfirmed at zhwikt

https://gerrit.wikimedia.org/r/409745

Change 410454 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] In groupoverrides, a => true is needed

https://gerrit.wikimedia.org/r/410454

Change 410454 abandoned by Urbanecm:
In groupoverrides, a => true is needed

https://gerrit.wikimedia.org/r/410454

Mentioned in SAL (#wikimedia-operations) [2018-02-14T15:19:35Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: Revert "Add suppressredirect to autoconfirmed at zhwikt" (T187018) (duration: 01m 13s)

Flood group created, I did a mistake regarding adding suppressredirect to autoconfirmed and during deployment I run out of time before I fixed it, so I'll try again later.

Change 410475 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add suppressredirect to autoconfirmed at zhwikt

https://gerrit.wikimedia.org/r/410475

May I know when will the change 410475 be deployed?

Today, 14:00 UTC.

Change 410475 merged by jenkins-bot:
[operations/mediawiki-config@master] Add suppressredirect to autoconfirmed at zhwikt

https://gerrit.wikimedia.org/r/410475

Mentioned in SAL (#wikimedia-operations) [2018-02-20T14:16:49Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:410475|Add suppressredirect to autoconfirmed at zhwikt (T187018)]] (duration: 00m 55s)

Urbanecm closed this task as Resolved.Feb 20 2018, 2:17 PM